Bug 211820 - Xorg does not start again after ending a X session
Xorg does not start again after ending a X session
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 06:29 EDT by Matthias Hensler
Modified: 2008-01-15 09:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf configuration file (4.76 KB, application/octet-stream)
2006-10-23 06:29 EDT, Matthias Hensler
no flags Details
full Xorg logfile (19.81 KB, application/octet-stream)
2006-10-23 06:30 EDT, Matthias Hensler
no flags Details
Xorg.log on normal startup (82.53 KB, text/plain)
2006-10-23 06:33 EDT, Matthias Hensler
no flags Details
Xorg.log on fresh start with intel driver (modesetting branch) (30.04 KB, application/octet-stream)
2006-10-23 06:57 EDT, Matthias Hensler
no flags Details
X config file (935 bytes, application/octet-stream)
2006-11-03 09:39 EST, david schuller
no flags Details
X log file before attempting log out (61.00 KB, text/plain)
2006-11-03 09:41 EST, david schuller
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 8536 None None None Never

  None (edit)
Description Matthias Hensler 2006-10-23 06:29:34 EDT
Description of problem:

After reboot X starts without a problem. However when ending a X session (either
by zapping with Alt+Strg+Backspace, a crash (see above) or normal close, X won't
start again.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.fc6
xorg-x11-server-Xorg-1.1.1-47.fc6

How reproducible:

Every time

Steps to Reproduce:
1. Reboot, Start X
2. End X / Zap it / Crash it
3. Start X again
  
Actual results:

X does not start again:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80e53b1]
1: [0x360420]
2: /usr/lib/xorg/modules/drivers/i810_drv.so [0x56066f]
3: /usr/bin/Xorg(InitOutput+0x9c1) [0x80a1cb1]
4: /usr/bin/Xorg(main+0x276) [0x806f856]
5: /lib/libc.so.6(__libc_start_main+0xdc) [0x125f2c]
6: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

Expected results:

X should start again.

Additional info:

This is a M5N laptop with Intel 855GME chipset, running latest Xorg and
i810-driver. It is a dual head setup (see attached xorg.conf) with 1024x768 on
the primary head (laptop display) and 1600x1200 on the second head (Dell 2405FPW).

I noticed it when starting Xine/mplayer on the first head, since the X server
crashes then (in fact X always crashes when using a program it overlay/XV on the
primary head, while the second head does not have such a problem).

I use the i810 driver, since the intel drive (modesetting) does not work here.

Full Xorg.log and xorg.conf attached.
Comment 1 Matthias Hensler 2006-10-23 06:29:34 EDT
Created attachment 139109 [details]
xorg.conf configuration file
Comment 2 Matthias Hensler 2006-10-23 06:30:38 EDT
Created attachment 139110 [details]
full Xorg logfile

This is the xorg.log when the server does not start again.
Comment 3 Matthias Hensler 2006-10-23 06:33:10 EDT
Created attachment 139111 [details]
Xorg.log on normal startup

For references: this is the Xorg.log if the X is started the first time without
crashing.
Comment 4 Matthias Hensler 2006-10-23 06:57:14 EDT
Created attachment 139113 [details]
Xorg.log on fresh start with intel driver (modesetting branch)

As said above, X won't not start at all with the driver from modesetting branch
(even on a fresh start). See the attached logfile, the configuration is the
same as above, only replace Driver "i810" by "intel".

Please also note that I do _not_ use i810resolution or i915resolution, as
1600x1200 is one of the modes in my VBios.

The modesetting driver does not work for me at all when trying to use a
resolution higher than 1024x768 (regardless if supported by VBios or not).
Comment 5 david schuller 2006-11-03 09:39:17 EST
Created attachment 140248 [details]
X config file
Comment 6 david schuller 2006-11-03 09:41:21 EST
Created attachment 140249 [details]
X log file before attempting log out
Comment 7 david schuller 2006-11-03 09:48:49 EST
So my text got lost when I made the attachments? Bugs in bugzilla!

I am seeing symtoms very similar to the initial report.
FC6 (x86_64)
Commell LV-677 motherboard with 945GM chipset
Intel Core 2 Duo CPU (Merom)
xorg-x11-drv-i810-1.6.5-9.fc6

With initial installation, X was very unstable. With rescue mode I switched the
inittab to runlevel 3, which enabled me to get in and set up with the "vesa"
driver, starting out with an xorg.conf file from a FC5 installation. I got it so
things were OK. Then I switched back to the i810 driver. Now X starts up OK when
I boot, but when I attempt to log out or reboot, the screen goes completely
black and I cannot even get in with SSH. That makes it hard to do much
diagnostics. xorg.conf and Xorg.0.log files in previous posts.
Comment 8 Marcin Zajaczkowski 2006-12-09 05:54:06 EST
The same (crash on logout/X-server restart/resuming from suspend) with AmiloPro
V8010 (Intel Mobile 915GM Express) with enabled dual head view.

xorg-x11-drv-i810-1.6.5-10.fc6 (also with 1.7.3 compiled by hand).

I can attach logfile, but stack trace is similar to this provided by Matthias.

I was also unable to configure primary screen on an external monitor, but is
probably another problem.
Comment 9 Phil 2006-12-29 11:49:59 EST
I am seeing this same problem on a Toshiba Satellite A106-4324.  X crashes on
exit from the bootup gui.  If I switch to runlevel 3, I can "startx" and get to
the desktop, but upon logout X crashes again.  As David stated, the machine does
not respond to ctrl-alt-f1 or f2 and cannot be ssh'd to.  X does run under vesa
driver.
Comment 10 Marcin Zajaczkowski 2007-04-12 14:48:28 EDT
This is caused by a bug in i810 driver. It's fixed in xorg-x11-drv-i810 version
1.7.4 (https://bugs.freedesktop.org/show_bug.cgi?id=8536).

I had to compile it by hand on fc6. In a rawhide there is still 1.6.5. 
When a never version of that driver will be in Fedora?

Comment 11 Adam Jackson 2007-04-13 09:43:24 EDT
F7 includes two drivers, 1.6.5 as the old "i810" for i8xx series chips, and
1.9.94 (at the moment) as the "intel" driver for everything newer.  The package
version is still 1.6.5 though.

Would be good to know if you still have problems with the intel driver in F7,
but I'll look at backporting the fix to the i810 driver as well.
Comment 12 Marcin Zajaczkowski 2007-04-13 16:36:50 EDT
Version 1.9.94 seems to be not compilable with xorg-7.1 (which is in fc6), so I
can't check it. I can't also intall fc7 on my laptop because I use it at work
(and should be up and running ;) ).

i810 driver 1.7.4 compiled by hand works correctly with dual view with i915 and
i945 in fc6. Backporting fix or upgrade i810 to newer version would be a good idea.

Btw, is there any particular reason not to use current version of i810 driver in
devel/fc7 (1.6.5 has a few bugs and some users upgrading from an older Fedora
would like to keep their xorg.conf, despite "intel" driver should be better)?
Comment 13 Matěj Cepl 2007-12-10 04:25:09 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 14 Matěj Cepl 2008-01-15 09:40:34 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.